Doomsday Engine - Feature #1507
[InFine] Option to pause playing script if the game is paused
2010-01-23 21:40 - vermil

Status: New Start date: 2010-01-23
Priority: Normal % Done: 0%
Assignee:

Category:

Target version: Modding

Description

The ability to pause playing infine if the game is paused and/or the menu opened.
Perhaps via a flag one can place in a def.

Maybe all in map Infine should be paused when the menu is open or the game is paused; currently they continue running in both
cases, which can cause issues if the infine is suppose to be synched to events in the game world.

Related issues:

Related to Bug #613: [InFine] Inadvertent background animation New 2009-02-25
Has duplicate Feature #1536: In map Infine pauses when the menu is open? Closed 2011-05-12
History

#1 - 2013-10-22 10:45 - skyjake
- Tags set to XG, Gameplay, Scripting

- Subject changed from The ability to pause playing infine if the game is paused to [InFine] Option to pause playing script if the game is paused

Could simply be a flag in the InFine definition (pause when game paused).

#2 - 2013-10-22 11:19 - skyjake

- Description updated

#3 - 2017-04-03 18:48 - skyjake

- Target version set to Modding
